[How To] Installing LIBEWF in Ubuntu Trusty

less than 1 minute read

Installing LIBEWF is normally straightforward. Usually the most difficult part is remembering which packages are required for the dependencies. When running configure, I always like to have "support" dependencies filled out. While some of these are not necessary, you may find yourself needing them someday, and having to recompile.

On a almost-brand-new install of Ubuntu Trusty (64bit), these are the required packages:

apt-get install build-essential autoconf automake libfuse-dev uuid-dev libbz2-dev zlib1g-dev

Then you just download LIBEWF, untar, and run ./configure. All dependencies should be filled out.

From there it is just a simple make to start working with forensic file formats.

Leave a Comment